Skip to content

List Users

GET
/api/v1/permissions/users
curl --request GET \
--url https://example.com/api/v1/permissions/users

List all users in the account.

Returns: UserListResponse with list of users

Raises: HTTPException: If listing users fails

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
UserListResponse

Response containing list of users.

object
users
required
Users

List of users

Array<object>
UserInfo

Information about a user.

object
name
required
Name

User name

string
owner
required
Owner

User owner

string
login_name
Any of:
string
display_name
Any of:
string
first_name
Any of:
string
last_name
Any of:
string
email
Any of:
string
disabled
Disabled

Whether user is disabled

boolean
created_on
Any of:
string format: date-time
total_count
required
Total Count

Total number of users

integer
Example
{
"users": [
{
"disabled": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}